using DiplomovaPrace.Contracts.Customer.Addresses;
using DiplomovaPrace.Contracts.Customer.Addresses.InputModels;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace DiplomovaPrace.Facades.Customer.Addresses
{
	public interface IAddressFacade
	{
		Task<UserAddressDto> CreateUserAddressAsync(int userID, CreateAddressIM inputModel);

		Task<bool> DeleteUserAddressAsync(int addressID, int userID);

		Task<List<UserAddressDto>> GetUserAddressesAsync(int userID);

		Task<UserAddressDto> UpdateUserAddressAsync(int userID, UpdateAddressIM inputModel);
	}
}
